Skip to main content
POST
https://{tenantDomain}/api/v2
/
flows
/
vault
/
connections
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.Vault.Connections.CreateAsync(
            new CreateFlowsVaultConnectionActivecampaignApiKey {
                Name = "name",
                AppId = "ACTIVECAMPAIGN",
                Setup = new FlowsVaultConnectioSetupApiKeyWithBaseUrl {
                    Type = "API_KEY",
                    ApiKey = "api_key",
                    BaseUrl = "base_url"
                }
            }
        );
    }

}
{
  "id": "<string>",
  "app_id": "<string>",
  "name": "<string>",
  "ready": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "fingerprint": "<string>",
  "environment": "<string>",
  "account_name": "<string>",
  "refreshed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

name
string
required

Flows Vault Connection name.

Required string length: 1 - 150
app_id
enum<string>
required

Flows Vault Connection app identifier.

Available options:
ACTIVECAMPAIGN
Required string length: 1 - 55
setup
object
required

Response

Connection successfully created.

id
string<flows-vault-connections-id>
required

Flows Vault Connection identifier.

Maximum string length: 30
app_id
string
required

Flows Vault Connection app identifier.

Required string length: 1 - 55
name
string
required

Flows Vault Connection name.

Required string length: 1 - 150
ready
boolean
required

Whether the Flows Vault Connection is configured.

created_at
string<date-time>
required

The ISO 8601 formatted date when this Flows Vault Connection was created.

updated_at
string<date-time>
required

The ISO 8601 formatted date when this Flows Vault Connection was updated.

fingerprint
string
required
Minimum string length: 1
environment
string

Flows Vault Connection environment.

Required string length: 1 - 55
account_name
string

Flows Vault Connection custom account name.

Required string length: 1 - 150
refreshed_at
string<date-time>

The ISO 8601 formatted date when this Flows Vault Connection was refreshed.